/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.crop;

/**
 * Exception thrown when no suitable crop list provider can be found
 * 
 * @author Timon Veenstra
 */
public class NoProviderFoundException extends RuntimeException{

    /**
     * use @link NoProviderFoundException#NoProviderFoundException(java.lang.String, java.lang.Throwable)
     * and provide a custom message describing the problem.
     * 
     * @param cause
     */
    public NoProviderFoundException(Throwable cause) {
        super(cause);
    }

    /**
     * Construct the exception with a message and nest a Throwable as cause.
     *
     * @param message
     * @param cause
     */
    public NoProviderFoundException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * construct the exception based on a message.
     * Only use this constructor if no other exception was thrown before.
     * Use @link NoProviderFoundException#NoProviderFoundException(java.lang.String, java.lang.Throwable) if there was.
     *
     * @param message
     */
    public NoProviderFoundException(String message) {
        super(message);
    }

    /**
     * default constructor
     */
    public NoProviderFoundException() {
    }

}
